#ifndef RAMPFILTER_H_UNIVERSITY_OF_OREGON_NIC
#define RAMPFILTER_H_UNIVERSITY_OF_OREGON_NIC

#include "NICFilter.h"
#include "NICVector.h"

template <class T>
class RampFilter : public NICFilter<T>
{
public:

  RampFilter( T gain );
  ~RampFilter();

  void filter( NICVector<T>& vector );

private:

  T m_gain;
};

#endif
// RAMPFILTER_H_UNIVERSITY_OF_OREGON_NIC
